%define cvs 0
%if %cvs
%define release %mkrel 0.%cvs.2
%else
%define release %mkrel 5
%endif

%define	with_python --with-python=%_bindir/python
%define with_cplusplus --with-cplusplus
%ifnarch %mips %java
%define with_java --with-java
%endif

%define major 7
%define libname %mklibname %{name} %{major}
%define libname_cxx %mklibname %{name}_cxx %{major}
%define libname_java %mklibname %{name}_java %{major}
%define develname %mklibname %{name} -d

Summary:	An open source cryptography library
Name:		beecrypt
Version:	4.2.1
Release:	%{release}
Group:		System/Libraries
License:	LGPLv2+
URL:		http://beecrypt.sourceforge.net/
%if %cvs
Source0:	%{name}-%{cvs}.tar.lzma
%else
Source0:	http://prdownloads.sourceforge.net/beecrypt/%{name}-%{version}.tar.xz
%endif
Patch0:		beecrypt-4.1.2-biarch.patch
Patch1:		beecrypt-4.2.0-lib64.patch
Patch2:		beecrypt-4.2.0-link.patch
Patch3:		beecrypt-4.2.1-py_platsitedir.diff
Patch4:		beecrypt_arm_configure_fix.patch
Patch5:		beecrypt-containsAll.patch
BuildRequires:	doxygen
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	graphviz
BuildRequires:	m4
BuildRequires:	libgomp-devel
%if %{?with_python:1}0
BuildRequires:	python-devel >= %{pyver}
%endif
%if %{?with_cplusplus:1}0
BuildRequires:	icu-devel
%endif
%if %{?with_java:1}0
BuildRequires:	java-rpmbuild
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Beecrypt is a general-purpose cryptography library.

%package -n	%{libname}
Summary:	An open source cryptography library
Group:		System/Libraries

%description -n %{libname}
Beecrypt is a general-purpose cryptography library.

%package -n	%{develname}
Summary:	Files needed for developing applications with beecrypt
Group:		Development/Libraries
%if %{?with_cplusplus:1}0
Requires:	%{libname_cxx} = %{version}
%endif
%if %{?with_java:1}0
Requires:	%{libname_java} = %{version}
%endif
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname beecrypt 7 -d}

%description -n	%{develname}
Beecrypt is a general-purpose cryptography library.  This package contains
files needed for developing applications with beecrypt.

%if %{?with_python:1}0
%package	python
Summary:	Files needed for python applications using beecrypt
Group:		Development/Libraries
Requires:	python >= 2.6.6
Requires:	%{libname} = %{version}

%description	python
Beecrypt is a general-purpose cryptography library.  This package contains
files needed for using python with beecrypt.
%endif

%if %{?with_cplusplus:1}0
%package -n	%{libname_cxx}
Summary:	Files needed for C++ applications using beecrypt
Group:		Development/Libraries
Requires:	%{libname} = %{version}

%description -n	%{libname_cxx}
Beecrypt is a general-purpose cryptography library.  This package contains
files needed for using C++ with beecrypt.
%endif

%if %{?with_java:1}0
%package -n	%{libname_java}
Summary:	Files needed for java applications using beecrypt
Group:		Development/Libraries
Requires:	%{libname} = %{version}

%description -n	%{libname_java}
Beecrypt is a general-purpose cryptography library.  This package contains
files needed for using java with beecrypt.
%endif

%prep

%if %cvs
%setup -q -n %{name}
%else
%setup -q
%endif
%patch0 -p1 -b .biarch
%patch1 -p0 -b .lib64
%patch2 -p1 -b .link
%patch3 -p0
%patch4 -p1
%patch5 -p1

%build
%if %cvs
./autogen.sh
%endif

./autogen.sh

export OPENMP_LIBS="-lgomp"

%configure2_5x \
    --enable-shared \
    --enable-static \
    %{?with_python} \
    %{?with_cplusplus} \
    %{?with_java} \
    CPPFLAGS="-I%{_includedir}/python%{pyver}"

%make
cd include/beecrypt
doxygen
cd c++
doxygen
cd ../../..

%install
rm -fr %{buildroot}

%makeinstall_std

# XXX nuke unpackaged files, artifacts from using libtool to produce module
rm -f %{buildroot}%{py_platsitedir}/_bc.*a %{buildroot}%{_libdir}/*.la

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%post -n %{libname_cxx}
/sbin/ldconfig

%postun -n %{libname_cxx}
/sbin/ldconfig

%post -n %{libname_java}
/sbin/ldconfig

%postun -n %{libname_java}
/sbin/ldconfig

%clean
rm -fr %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README BENCHMARKS
%{_libdir}/libbeecrypt.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc BUGS docs/html docs/latex
%{_includedir}/%{name}
%if %{?with_cplusplus:1}0
%{_libdir}/%{name}/base.so
%{_libdir}/%{name}/*.*a
%endif
%{_libdir}/*.a
%{_libdir}/*.so

%if %{?with_python:1}0
%files python
%defattr(-,root,root)
%{py_platsitedir}
%endif

%if %{?with_cplusplus:1}0
%files -n %{libname_cxx}
%defattr(-,root,root)
%config %{_sysconfdir}/beecrypt.conf
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/base.so.*
%{_libdir}/libbeecrypt_cxx.so.%{major}*
%endif

%if %{?with_java:1}0
%files -n %{libname_java}
%defattr(-,root,root)
%{_libdir}/libbeecrypt_java.so.%{major}*
%endif


%changelog
* Tue Apr 26 2016 bb <bb> 4.2.1-5pclos2016
- rebuild for new icu

* Thu Aug 15 2013 billybot <billybot> 4.2.1-4pclos2013
- update python 2.7

* Sun Sep 05 2010 Texstar <texstar at gmail.com> 4.2.1-3pclos2010
- rebuild

* Sat Jun 26 2010 Texstar <texstar at gmail.com> 4.2.1-2pclos2010
- rebuild

* Wed Jun 15 2010 Texstar <texstar at gmail.com> 4.2.1-1pclos2010
- 4.2.1

